petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscObjectOptionsBegin

Begins a set of queries on the options database that are related and should be displayed on the same window of a GUI that allows the user to set the options interactively.

### Synopsis

    #include <petscoptions.h>
    PetscErrorCode PetscObjectOptionsBegin(PetscObject obj)

Collective on PetscObject Many br

### Input Parameters

obj -object to set options for Many br

Many br

Notes: Needs to be ended by a call the PetscOptionsEnd() Many brCan add subheadings with PetscOptionsHead() Many br

### See Also

PetscOptionsGetReal(), PetscOptionsHasName(), PetscOptionsGetString(), PetscOptionsGetInt(),
PetscOptionsGetIntArray(), PetscOptionsGetRealArray(), PetscOptionsBool() Many brPetscOptionsInt(), PetscOptionsString(), PetscOptionsReal(), PetscOptionsBool(), Many brPetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), Many brPetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), Many brPetscOptionsBoolGroupBegin(), PetscOptionsBoolGroup(), PetscOptionsBoolGroupEnd(), Many brPetscOptionsFList(), PetscOptionsEList() Many br

Level:intermediate
Location:src/sys/objects/../../../include/petscoptions.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages